package de.thomasjacob.improve.presentation.issue.search;

import java.util.Map;


public class IssueValueObject
{
	private int issueId;

	private String project;

	private String type;

	private int priority;

	private String status;

	private String reporter;

	private String developer;

	private String name;

	private Map issueParameters;

	public int getIssueId()
	{
		return issueId;
	}

	public String getProject()
	{
		return project;
	}

	public String getType()
	{
		return type;
	}

	public int getPriority()
	{
		return priority;
	}

	public String getStatus()
	{
		return status;
	}

	public String getReporter()
	{
		return reporter;
	}

	public String getDeveloper()
	{
		return developer;
	}

	public String getName()
	{
		return name;
	}

	public Map getIssueParameters()
	{
		return issueParameters;
	}

	public void setIssueId(int issueId)
	{
		this.issueId = issueId;
	}

	public void setProject(String project)
	{
		this.project = project;
	}

	public void setType(String type)
	{
		this.type = type;
	}

	public void setPriority(int priority)
	{
		this.priority = priority;
	}

	public void setStatus(String status)
	{
		this.status = status;
	}

	public void setReporter(String reporter)
	{
		this.reporter = reporter;
	}

	public void setDeveloper(String developer)
	{
		this.developer = developer;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public void setIssueParameters(Map issueParameters)
	{
		this.issueParameters = issueParameters;
	}
}
